<div *ngIf='this.version' class="article-info-container">
  <mat-card class="article-card">
    <div>
      <h2 class="article-title">{{this.version.title.translations.text}}</h2>
      <div class="article-content">{{this.version.text.translations.text}}</div>
    </div>
    <div class="rating">Rate</div>
    <div class="article-rates">
      <app-rating (ratingClick)="rate($event)" class="rate-component"></app-rating>
      Average:{{this.version.text.translations.__rates__}}
    </div>
    <div class="article-button-container" *ngIf='this.adminPermission'>
      <button mat-stroked-button color="warn" class="delete-article" (click)="this.deleteArticle()">Delete</button>
      <button mat-stroked-button class="btn-update" (click)="this.updateArticle()">Update</button>
    </div>
  </mat-card>
</div>
